Subject: linux-next: manual merge of the bpf-next tree with the bpf tree

From: Mark Brown <[email-masked]>
Date: Tue, 24 Feb 2026 12:39:33 +0000

Hi all,

Today's linux-next merge of the bpf-next tree got a conflict in:

  tools/testing/selftests/bpf/prog_tests/align.c

between commit:

  05849ec34f3d7 ("selftests/bpf: Replace strncpy() with strscpy()")

from the bpf tree and commit:

  f632de6e19553 ("selftests/bpf: Migrate align.c tests to test_loader framework")

from the bpf-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

(deleted the file)